/JobPosts

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Job ads data are online job postings from the Real-Time Intelligence (RTI) data set, produced wholly by Chmura and gleaned from over 45,000 websites. This endpoint accepts a set of query parameters and returns a structured JSON response of job postings that meet the specified filters - including region, timeframe, post state, and others.

This endpoint returns 100 job postings by default. To return more postings, use the startRecord and endRecord parameters to return up to 10,000 job postings, paginated 1,000 jobs at a time.

This is not a bulk data download mechanism, but a solution to integrate real-time, region-based employer demand into applications like job boards, occupation cluster listings, and competitive labor market intelligence trackers.

Example Request

{
    // Array of region type/code pairs
    "regions": [{
        "type": "MSA",
        "code": 1698 // Chicago-Naperville-Elgin, IL-IN MSA (1698)
    }],
    // Array of filters - https://jobseq.readme.io/reference/external_rtifilters
    "filters": [{
            "field": "title",
            "key": "software developer",
            "filterType": "contains"
        },
        {
            "field": "title",
            "key": "software engineer",
            "filterType": "contains"
        }
    ],
    // Should we exclude or include job posts from staffing companies?
    "excludeStaffing": false,
    // Only show jobs posts that are active *now*
    "postState": "CurrentActive",
    // Return 1000 results
    "startRecord": 0,
    "endRecord": 1000
}

Example Response

{
    "data": [{
            "id": "655a0e3f77925406e851256e",
            "title": "Lead Software Engineer",
            "company": "Motion Recruitment",
            "url": "https://jobseq.eqsuite.com/JobPost/View/655a0e3f77925406e851256e/lead-software-engineer?lic=43&uid=26205",
            "dateEnd": null,
            "socCode": "15-1252.00",
            "socLabel": "Software Developers",
            "location": "Chicago, IL 60603",
            "dateStart": "2023-11-17T00:00:00",
            "active": true,
            "wage": null,
            "jobTypes": [
                "Non-Remote"
            ]
        },
        {
            "id": "65570d547318e90d64b71bd3",
            "title": "Software Developer - Web",
            "company": "ULINE",
            "url": "https://jobseq.eqsuite.com/JobPost/View/65570d547318e90d64b71bd3/software-developer-web?lic=43&uid=26205",
            "dateEnd": null,
            "socCode": "15-1252.00",
            "socLabel": "Software Developers",
            "location": "Waukegan, Illinois",
            "dateStart": "2023-11-16T00:00:00",
            "active": true,
            "wage": null,
            "jobTypes": [
                "Full-Time",
                "Non-Remote"
            ]
        },
        {
            "id": "65544aa39b7d510fc0002f1d",
            "title": "Software Engineer - 304641",
            "company": "GRAINGER",
            "url": "https://jobseq.eqsuite.com/JobPost/View/65544aa39b7d510fc0002f1d/software-engineer-304641?lic=43&uid=26205",
            "dateEnd": null,
            "socCode": "15-1252.00",
            "socLabel": "Software Developers",
            "location": "LAKE FOREST, IL, US, 60045-5201",
            "dateStart": "2023-11-14T00:00:00",
            "active": true,
            "wage": null,
            "jobTypes": [
                "Remote"
            ]
        },
        {
            "id": "6550509a9b7d502390266da3",
            "title": "Software Developer Intern - Summer 2024 (Location: IL)",
            "company": "BDO USA, LLP",
            "url": "https://jobseq.eqsuite.com/JobPost/View/6550509a9b7d502390266da3/software-developer-intern-summer-2024-location-il?lic=43&uid=26205",
            "dateEnd": "2024-11-10T00:00:00",
            "socCode": "15-1252.00",
            "socLabel": "Software Developers",
            "location": "Oak Brook, Illinois",
            "dateStart": "2023-11-10T00:00:00",
            "active": true,
            "wage": 41600.0,
            "jobTypes": [
                "Full-Time",
                "Part-Time",
                "Non-Remote"
            ]
        },
        {
            "id": "6401df819b7d500918e81963",
            "title": "Staff Software Engineer - Sports & Athletics - Hybrid",
            "company": "Michael Page",
            "url": "https://jobseq.eqsuite.com/JobPost/View/6401df819b7d500918e81963/staff-software-engineer-sports-athletics-hybrid?lic=43&uid=26205",
            "dateEnd": "2024-01-03T00:00:00",
            "socCode": "15-1252.00",
            "socLabel": "Software Developers",
            "location": "Wilmette, Illinois",
            "dateStart": "2023-01-03T00:00:00",
            "active": true,
            "wage": 182800.0,
            "jobTypes": [
                "Full-Time",
                "Non-Remote"
            ]
        },
        ...
    ],
    "count": 676
}
Body Params
regions
array of objects
regions
string
enum
Allowed:
filters
array of objects
filters
string
enum
Allowed:
string
string
enum
Allowed:
date-time
date-time
int32
int32
string
enum
Allowed:
int32
boolean
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
string
enum
Defaults to application/json

Generated from available request content types

Allowed:
Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/json